Index: c/src/lib/libbsp/arm/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/Makefile.am	(revision 71c5552f9a7c2fbe27b860fafc295427955f25a1)
+++ c/src/lib/libbsp/arm/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
@@ -10,9 +10,6 @@
 dist_project_lib_DATA += shared/startup/linkcmds.armv7m
 
-EXTRA_DIST =
 
 # comm
-EXTRA_DIST += shared/comm/uart.h
-EXTRA_DIST += shared/comm/uart.c
 
 include $(top_srcdir)/../../../automake/subdirs.am
Index: c/src/lib/libbsp/arm/altera-cyclone-v/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/altera-cyclone-v/Makefile.am	(revision 71c5552f9a7c2fbe27b860fafc295427955f25a1)
+++ c/src/lib/libbsp/arm/altera-cyclone-v/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
@@ -7,5 +7,4 @@
 
 ACLOCAL_AMFLAGS = -I ../../../../aclocal
-EXTRA_DIST =
 
 include $(top_srcdir)/../../../../automake/compile.am
@@ -35,5 +34,4 @@
 ###############################################################################
 
-EXTRA_DIST += ../shared/start/start.S
 start.$(OBJEXT): ../shared/start/start.S
 	$(CPPASCOMPILE) -o $@ -c $<
Index: c/src/lib/libbsp/arm/atsam/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/atsam/Makefile.am	(revision 71c5552f9a7c2fbe27b860fafc295427955f25a1)
+++ c/src/lib/libbsp/arm/atsam/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
@@ -1,4 +1,3 @@
 ACLOCAL_AMFLAGS = -I ../../../../aclocal
-EXTRA_DIST =
 
 include $(top_srcdir)/../../../../automake/compile.am
@@ -11,5 +10,4 @@
 dist_project_lib_DATA = startup/bsp_specs
 
-EXTRA_DIST += ../shared/start/start.S
 start.$(OBJEXT): ../shared/start/start.S
 	$(CPPASCOMPILE) -o $@ -c $<
Index: c/src/lib/libbsp/arm/beagle/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/beagle/Makefile.am	(revision 71c5552f9a7c2fbe27b860fafc295427955f25a1)
+++ c/src/lib/libbsp/arm/beagle/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
@@ -7,5 +7,4 @@
 
 ACLOCAL_AMFLAGS = -I ../../../../aclocal
-EXTRA_DIST =
 
 include $(top_srcdir)/../../../../automake/compile.am
@@ -22,5 +21,4 @@
 ###############################################################################
 
-EXTRA_DIST += ../shared/start/start.S
 start.$(OBJEXT): ../shared/start/start.S
 	$(CPPASCOMPILE) -o $@ -c $<
Index: c/src/lib/libbsp/arm/csb336/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/csb336/Makefile.am	(revision 71c5552f9a7c2fbe27b860fafc295427955f25a1)
+++ c/src/lib/libbsp/arm/csb336/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
@@ -1,4 +1,3 @@
 ACLOCAL_AMFLAGS = -I ../../../../aclocal
-EXTRA_DIST =
 
 include $(top_srcdir)/../../../../automake/compile.am
@@ -11,5 +10,4 @@
 
 
-EXTRA_DIST += start/start.S
 start.$(OBJEXT): start/start.S
 	$(CPPASCOMPILE) -o $@ -c $<
Index: c/src/lib/libbsp/arm/csb337/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/csb337/Makefile.am	(revision 71c5552f9a7c2fbe27b860fafc295427955f25a1)
+++ c/src/lib/libbsp/arm/csb337/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
@@ -1,4 +1,3 @@
 ACLOCAL_AMFLAGS = -I ../../../../aclocal
-EXTRA_DIST =
 
 include $(top_srcdir)/../../../../automake/compile.am
@@ -20,5 +19,4 @@
 endif
 
-EXTRA_DIST += start/start.S
 start.$(OBJEXT): start/start.S
 	$(CPPASCOMPILE) -o $@ -c $<
@@ -29,6 +27,4 @@
 dist_project_lib_DATA += startup/linkcmds.csb637
 
-EXTRA_DIST += README
-EXTRA_DIST += README.kit637_v6
 
 noinst_LIBRARIES = libbsp.a
Index: c/src/lib/libbsp/arm/edb7312/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/edb7312/Makefile.am	(revision 71c5552f9a7c2fbe27b860fafc295427955f25a1)
+++ c/src/lib/libbsp/arm/edb7312/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
@@ -1,4 +1,3 @@
 ACLOCAL_AMFLAGS = -I ../../../../aclocal
-EXTRA_DIST =
 
 include $(top_srcdir)/../../../../automake/compile.am
@@ -10,5 +9,4 @@
 noinst_PROGRAMS =
 
-EXTRA_DIST += start/start.S
 start.$(OBJEXT): start/start.S
 	$(CPPASCOMPILE) -o $@ -c $<
Index: c/src/lib/libbsp/arm/gdbarmsim/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/gdbarmsim/Makefile.am	(revision 71c5552f9a7c2fbe27b860fafc295427955f25a1)
+++ c/src/lib/libbsp/arm/gdbarmsim/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
@@ -1,4 +1,3 @@
 ACLOCAL_AMFLAGS = -I ../../../../aclocal
-EXTRA_DIST =
 
 include $(top_srcdir)/../../../../automake/compile.am
@@ -11,5 +10,4 @@
 
 
-EXTRA_DIST += ../shared/start/start.S
 start.$(OBJEXT): ../shared/start/start.S
 	$(CPPASCOMPILE) -o $@ -c $<
Index: c/src/lib/libbsp/arm/gumstix/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/gumstix/Makefile.am	(revision 71c5552f9a7c2fbe27b860fafc295427955f25a1)
+++ c/src/lib/libbsp/arm/gumstix/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
@@ -1,4 +1,3 @@
 ACLOCAL_AMFLAGS = -I ../../../../aclocal
-EXTRA_DIST =
 
 include $(top_srcdir)/../../../../automake/compile.am
@@ -11,5 +10,4 @@
 
 
-EXTRA_DIST += start/start.S
 start.$(OBJEXT): start/start.S
 	$(CPPASCOMPILE) -o $@ -c $<
Index: c/src/lib/libbsp/arm/imx/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/imx/Makefile.am	(revision 71c5552f9a7c2fbe27b860fafc295427955f25a1)
+++ c/src/lib/libbsp/arm/imx/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
@@ -1,4 +1,3 @@
 ACLOCAL_AMFLAGS = -I ../../../../aclocal
-EXTRA_DIST =
 
 include $(top_srcdir)/../../../../automake/compile.am
@@ -15,5 +14,4 @@
 ###############################################################################
 
-EXTRA_DIST += ../shared/start/start.S
 start.$(OBJEXT): ../shared/start/start.S
 	$(CPPASCOMPILE) -o $@ -c $<
Index: c/src/lib/libbsp/arm/lm3s69xx/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/lm3s69xx/Makefile.am	(revision 71c5552f9a7c2fbe27b860fafc295427955f25a1)
+++ c/src/lib/libbsp/arm/lm3s69xx/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
@@ -1,4 +1,3 @@
 ACLOCAL_AMFLAGS = -I ../../../../aclocal
-EXTRA_DIST =
 
 include $(top_srcdir)/../../../../automake/compile.am
@@ -11,5 +10,4 @@
 dist_project_lib_DATA = startup/bsp_specs
 
-EXTRA_DIST += ../shared/start/start.S
 start.$(OBJEXT): ../shared/start/start.S
 	$(CPPASCOMPILE) -o $@ -c $<
Index: c/src/lib/libbsp/arm/lpc176x/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/lpc176x/Makefile.am	(revision 71c5552f9a7c2fbe27b860fafc295427955f25a1)
+++ c/src/lib/libbsp/arm/lpc176x/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
@@ -7,5 +7,4 @@
 
 ACLOCAL_AMFLAGS = -I ../../../../aclocal
-EXTRA_DIST =
 
 include $(top_srcdir)/../../../../automake/compile.am
@@ -24,5 +23,4 @@
 # ----------------------------
 
-EXTRA_DIST += ../shared/start/start.S
 start.$(OBJEXT): ../shared/start/start.S
 	$(CPPASCOMPILE) -o $@ -c $<
Index: c/src/lib/libbsp/arm/lpc24xx/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/lpc24xx/Makefile.am	(revision 71c5552f9a7c2fbe27b860fafc295427955f25a1)
+++ c/src/lib/libbsp/arm/lpc24xx/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
@@ -7,5 +7,4 @@
 
 ACLOCAL_AMFLAGS = -I ../../../../aclocal
-EXTRA_DIST =
 
 include $(top_srcdir)/../../../../automake/compile.am
@@ -22,5 +21,4 @@
 ###############################################################################
 
-EXTRA_DIST += ../shared/start/start.S
 start.$(OBJEXT): ../shared/start/start.S
 	$(CPPASCOMPILE) -o $@ -c $<
Index: c/src/lib/libbsp/arm/lpc32xx/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/lpc32xx/Makefile.am	(revision 71c5552f9a7c2fbe27b860fafc295427955f25a1)
+++ c/src/lib/libbsp/arm/lpc32xx/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
@@ -7,5 +7,4 @@
 
 ACLOCAL_AMFLAGS = -I ../../../../aclocal
-EXTRA_DIST =
 
 include $(top_srcdir)/../../../../automake/compile.am
@@ -22,5 +21,4 @@
 ###############################################################################
 
-EXTRA_DIST += ../shared/start/start.S
 start.$(OBJEXT): ../shared/start/start.S
 	$(CPPASCOMPILE) -o $@ -c $<
Index: c/src/lib/libbsp/arm/raspberrypi/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/raspberrypi/Makefile.am	(revision 71c5552f9a7c2fbe27b860fafc295427955f25a1)
+++ c/src/lib/libbsp/arm/raspberrypi/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
@@ -7,5 +7,4 @@
 
 ACLOCAL_AMFLAGS = -I ../../../../aclocal
-EXTRA_DIST =
 
 include $(top_srcdir)/../../../../automake/compile.am
@@ -24,5 +23,4 @@
 ###############################################################################
 
-EXTRA_DIST += ../shared/start/start.S
 start.$(OBJEXT): ../shared/start/start.S
 	$(CPPASCOMPILE) -o $@ -c $<
Index: c/src/lib/libbsp/arm/realview-pbx-a9/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/realview-pbx-a9/Makefile.am	(revision 71c5552f9a7c2fbe27b860fafc295427955f25a1)
+++ c/src/lib/libbsp/arm/realview-pbx-a9/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
@@ -7,5 +7,4 @@
 
 ACLOCAL_AMFLAGS = -I ../../../../aclocal
-EXTRA_DIST =
 
 include $(top_srcdir)/../../../../automake/compile.am
@@ -22,5 +21,4 @@
 ###############################################################################
 
-EXTRA_DIST += ../shared/start/start.S
 start.$(OBJEXT): ../shared/start/start.S
 	$(CPPASCOMPILE) -o $@ -c $<
Index: c/src/lib/libbsp/arm/rtl22xx/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/rtl22xx/Makefile.am	(revision 71c5552f9a7c2fbe27b860fafc295427955f25a1)
+++ c/src/lib/libbsp/arm/rtl22xx/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
@@ -1,4 +1,3 @@
 ACLOCAL_AMFLAGS = -I ../../../../aclocal
-EXTRA_DIST =
 
 include $(top_srcdir)/../../../../automake/compile.am
@@ -12,5 +11,4 @@
 
 
-EXTRA_DIST += start/start.S
 start.$(OBJEXT): start/start.S
 	$(CPPASCOMPILE) -o $@ -c $<
Index: c/src/lib/libbsp/arm/smdk2410/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/smdk2410/Makefile.am	(revision 71c5552f9a7c2fbe27b860fafc295427955f25a1)
+++ c/src/lib/libbsp/arm/smdk2410/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
@@ -1,4 +1,3 @@
 ACLOCAL_AMFLAGS = -I ../../../../aclocal
-EXTRA_DIST =
 
 include $(top_srcdir)/../../../../automake/compile.am
@@ -9,5 +8,4 @@
 DISTCLEANFILES = include/bspopts.h
 
-EXTRA_DIST += start/start.S
 start.$(OBJEXT): start/start.S
 	$(CPPASCOMPILE) -o $@ -c $<
Index: c/src/lib/libbsp/arm/stm32f4/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/stm32f4/Makefile.am	(revision 71c5552f9a7c2fbe27b860fafc295427955f25a1)
+++ c/src/lib/libbsp/arm/stm32f4/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
@@ -1,4 +1,3 @@
 ACLOCAL_AMFLAGS = -I ../../../../aclocal
-EXTRA_DIST =
 
 include $(top_srcdir)/../../../../automake/compile.am
@@ -11,5 +10,4 @@
 dist_project_lib_DATA = startup/bsp_specs
 
-EXTRA_DIST += ../shared/start/start.S
 start.$(OBJEXT): ../shared/start/start.S
 	$(CPPASCOMPILE) -o $@ -c $<
Index: c/src/lib/libbsp/arm/tms570/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/tms570/Makefile.am	(revision 71c5552f9a7c2fbe27b860fafc295427955f25a1)
+++ c/src/lib/libbsp/arm/tms570/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
@@ -7,5 +7,4 @@
 
 ACLOCAL_AMFLAGS = -I ../../../../aclocal
-EXTRA_DIST =
 
 include $(top_srcdir)/../../../../automake/compile.am
@@ -22,5 +21,4 @@
 # ----------------------------
 
-EXTRA_DIST += ../shared/start/start.S
 start.$(OBJEXT): ../shared/start/start.S
 	$(CPPASCOMPILE) -o $@ -c $<
Index: c/src/lib/libbsp/arm/xilinx-zynq/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/xilinx-zynq/Makefile.am	(revision 71c5552f9a7c2fbe27b860fafc295427955f25a1)
+++ c/src/lib/libbsp/arm/xilinx-zynq/Makefile.am	(revision 2d0bc839ede9848b5ac20c7cdf29f8c33cbef926)
@@ -7,5 +7,4 @@
 
 ACLOCAL_AMFLAGS = -I ../../../../aclocal
-EXTRA_DIST =
 
 include $(top_srcdir)/../../../../automake/compile.am
@@ -22,5 +21,4 @@
 ###############################################################################
 
-EXTRA_DIST += ../shared/start/start.S
 start.$(OBJEXT): ../shared/start/start.S
 	$(CPPASCOMPILE) -o $@ -c $<
